#SELinux
%define selinux_variants mls strict targeted
%define selinux_policyver %(sed -e 's,.*selinux-policy-\\([^/]*\\)/.*,\\1,' /usr/share/selinux/devel/policyhelp 2> /dev/null)
%define moduletype apps

# -- headers ----------------------------------------------------

Name:           rh-rhua-selinux-policy
Version:        0.0.6
Release:        1%{?dist}
Summary:        SELinux policy for RHUA.

Group:          Development/Languages
License:        GPLv2
URL:            http://redhat.com
Source0:        https://fedorahosted.org/releases/p/u/pulp/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  rpm-python
BuildRequires:  make
BuildRequires:  checkpolicy
BuildRequires:  selinux-policy-devel
BuildRequires:  hardlink

%if "%{selinux_policyver}" != ""
Requires: selinux-policy >= %{selinux_policyver}
%endif
Requires(post): /usr/sbin/semodule, /sbin/fixfiles, /usr/sbin/semanage
Requires(postun): /usr/sbin/semodule

%description
SELinux policy for RHUA.

# -- build -------------------------------------------------------------------

%prep
%setup -q

%build
# SELinux Configuration
cd selinux/rh-rhua
perl -i -pe 'BEGIN { $VER = join ".", grep /^\d+$/, split /\./, "%{version}.%{release}"; } s!0.0.0!$VER!g;' rh-rhua.te
./build.sh
cd -

%install
# Install SELinux policy modules
cd selinux/rh-rhua
./install.sh %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_datadir}/rh-rhua/selinux/rh-rhua
cp enable.sh %{buildroot}%{_datadir}/rh-rhua/selinux/rh-rhua
cp uninstall.sh %{buildroot}%{_datadir}/rh-rhua/selinux/rh-rhua
cd -

%clean
rm -rf %{buildroot}

%post 
# Enable SELinux policy modules
if /usr/sbin/selinuxenabled ; then
 %{_datadir}/rh-rhua/selinux/rh-rhua/enable.sh %{_datadir}
fi

# Label port 5674 as amqp_port_t so qpidd can bind to it.
if /usr/sbin/selinuxenabled ; then
  echo "Enabling port 5674 for qpidd"
  /usr/sbin/semanage port -a -t amqp_port_t -p tcp 5674
  /usr/sbin/semanage port -a -t amqp_port_t -p udp 5674
fi

%preun 
# Clean up after package removal
if [ $1 -eq 0 ]; then
%{_datadir}/rh-rhua/selinux/rh-rhua/uninstall.sh
fi
exit 0

%files 
%defattr(-,root,root,-)
%doc selinux/rh-rhua/rh-rhua.fc selinux/rh-rhua/rh-rhua.if selinux/rh-rhua/rh-rhua.te
%{_datadir}/rh-rhua/selinux/rh-rhua/*
%{_datadir}/selinux/*/rh-rhua.pp
%{_datadir}/selinux/devel/include/%{moduletype}/rh-rhua.if

# -- changelog ---------------------------------------------------------------

%changelog
* Tue Feb 28 2012 James Slagle <jslagle@redhat.com> 0.0.6-1
- 796818 label qpid port for selinux as part of policy package, not rh-rhua-
  config (jslagle@redhat.com)
- Re-enable mls and strict SELinux variants, but pipe install output to
  /dev/null so we won't see error messages if they don't install
  (jslagle@redhat.com)

* Fri Feb 03 2012 James Slagle <jslagle@redhat.com> 0.0.5-1
- Re-enable mls and strict SELinux variants, but pipe install output to
  /dev/null so we won't see error messages if they don't install
  (jslagle@redhat.com)

* Fri Feb 03 2012 James Slagle <jslagle@redhat.com> 0.0.4-1
- Delete relabel.sh, not needed (jslagle@redhat.com)
- Specify all SELinux variants (jslagle@redhat.com)
- Fix version in rh-rhua.te (jslagle@redhat.com)

* Thu Feb 02 2012 James Slagle <jslagle@redhat.com> 0.0.3-1
- Fix name of policy in setup scripts (jslagle@redhat.com)
- Remove stray % (jslagle@redhat.com)
- Move relabel.sh into correct directory (jslagle@redhat.com)
- Add missing relabel.sh (jslagle@redhat.com)

* Thu Feb 02 2012 James Slagle <jslagle@redhat.com> 0.0.2-1
- new package built with tito
